/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_YY_CORE_CFG_TAB_H_INCLUDED
# define YY_YY_CORE_CFG_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    FORWARD = 258,                 /* FORWARD  */
    FORWARD_TCP = 259,             /* FORWARD_TCP  */
    FORWARD_TLS = 260,             /* FORWARD_TLS  */
    FORWARD_SCTP = 261,            /* FORWARD_SCTP  */
    FORWARD_UDP = 262,             /* FORWARD_UDP  */
    EXIT = 263,                    /* EXIT  */
    DROP = 264,                    /* DROP  */
    RETURN = 265,                  /* RETURN  */
    RETURN_MODE = 266,             /* RETURN_MODE  */
    BREAK = 267,                   /* BREAK  */
    LOG_TOK = 268,                 /* LOG_TOK  */
    ERROR = 269,                   /* ERROR  */
    ROUTE = 270,                   /* ROUTE  */
    ROUTE_REQUEST = 271,           /* ROUTE_REQUEST  */
    ROUTE_FAILURE = 272,           /* ROUTE_FAILURE  */
    ROUTE_ONREPLY = 273,           /* ROUTE_ONREPLY  */
    ROUTE_REPLY = 274,             /* ROUTE_REPLY  */
    ROUTE_BRANCH = 275,            /* ROUTE_BRANCH  */
    ROUTE_SEND = 276,              /* ROUTE_SEND  */
    ROUTE_EVENT = 277,             /* ROUTE_EVENT  */
    EXEC = 278,                    /* EXEC  */
    SET_HOST = 279,                /* SET_HOST  */
    SET_HOSTPORT = 280,            /* SET_HOSTPORT  */
    SET_HOSTPORTTRANS = 281,       /* SET_HOSTPORTTRANS  */
    PREFIX = 282,                  /* PREFIX  */
    STRIP = 283,                   /* STRIP  */
    STRIP_TAIL = 284,              /* STRIP_TAIL  */
    SET_USERPHONE = 285,           /* SET_USERPHONE  */
    APPEND_BRANCH = 286,           /* APPEND_BRANCH  */
    REMOVE_BRANCH = 287,           /* REMOVE_BRANCH  */
    CLEAR_BRANCHES = 288,          /* CLEAR_BRANCHES  */
    SET_USER = 289,                /* SET_USER  */
    SET_USERPASS = 290,            /* SET_USERPASS  */
    SET_PORT = 291,                /* SET_PORT  */
    SET_URI = 292,                 /* SET_URI  */
    REVERT_URI = 293,              /* REVERT_URI  */
    FORCE_RPORT = 294,             /* FORCE_RPORT  */
    ADD_LOCAL_RPORT = 295,         /* ADD_LOCAL_RPORT  */
    LOCAL_RPORT = 296,             /* LOCAL_RPORT  */
    FORCE_TCP_ALIAS = 297,         /* FORCE_TCP_ALIAS  */
    UDP_MTU = 298,                 /* UDP_MTU  */
    UDP_MTU_TRY_PROTO = 299,       /* UDP_MTU_TRY_PROTO  */
    UDP4_RAW = 300,                /* UDP4_RAW  */
    UDP4_RAW_MTU = 301,            /* UDP4_RAW_MTU  */
    UDP4_RAW_TTL = 302,            /* UDP4_RAW_TTL  */
    IF = 303,                      /* IF  */
    ELSE = 304,                    /* ELSE  */
    SET_ADV_ADDRESS = 305,         /* SET_ADV_ADDRESS  */
    SET_ADV_PORT = 306,            /* SET_ADV_PORT  */
    FORCE_SEND_SOCKET = 307,       /* FORCE_SEND_SOCKET  */
    SET_FWD_NO_CONNECT = 308,      /* SET_FWD_NO_CONNECT  */
    SET_RPL_NO_CONNECT = 309,      /* SET_RPL_NO_CONNECT  */
    SET_FWD_CLOSE = 310,           /* SET_FWD_CLOSE  */
    SET_RPL_CLOSE = 311,           /* SET_RPL_CLOSE  */
    SWITCH = 312,                  /* SWITCH  */
    CASE = 313,                    /* CASE  */
    DEFAULT = 314,                 /* DEFAULT  */
    WHILE = 315,                   /* WHILE  */
    CFG_SELECT = 316,              /* CFG_SELECT  */
    CFG_RESET = 317,               /* CFG_RESET  */
    URIHOST = 318,                 /* URIHOST  */
    URIPORT = 319,                 /* URIPORT  */
    MAX_LEN = 320,                 /* MAX_LEN  */
    SETFLAG = 321,                 /* SETFLAG  */
    RESETFLAG = 322,               /* RESETFLAG  */
    ISFLAGSET = 323,               /* ISFLAGSET  */
    SETAVPFLAG = 324,              /* SETAVPFLAG  */
    RESETAVPFLAG = 325,            /* RESETAVPFLAG  */
    ISAVPFLAGSET = 326,            /* ISAVPFLAGSET  */
    METHOD = 327,                  /* METHOD  */
    URI = 328,                     /* URI  */
    FROM_URI = 329,                /* FROM_URI  */
    TO_URI = 330,                  /* TO_URI  */
    SRCIP = 331,                   /* SRCIP  */
    SRCPORT = 332,                 /* SRCPORT  */
    DSTIP = 333,                   /* DSTIP  */
    DSTPORT = 334,                 /* DSTPORT  */
    TOIP = 335,                    /* TOIP  */
    TOPORT = 336,                  /* TOPORT  */
    SNDIP = 337,                   /* SNDIP  */
    SNDPORT = 338,                 /* SNDPORT  */
    SNDPROTO = 339,                /* SNDPROTO  */
    SNDAF = 340,                   /* SNDAF  */
    PROTO = 341,                   /* PROTO  */
    AF = 342,                      /* AF  */
    MYSELF = 343,                  /* MYSELF  */
    MSGLEN = 344,                  /* MSGLEN  */
    UDP = 345,                     /* UDP  */
    TCP = 346,                     /* TCP  */
    TLS = 347,                     /* TLS  */
    SCTP = 348,                    /* SCTP  */
    WS = 349,                      /* WS  */
    WSS = 350,                     /* WSS  */
    DEBUG_V = 351,                 /* DEBUG_V  */
    FORK = 352,                    /* FORK  */
    FORK_DELAY = 353,              /* FORK_DELAY  */
    MODINIT_DELAY = 354,           /* MODINIT_DELAY  */
    LOGSTDERROR = 355,             /* LOGSTDERROR  */
    LOGFACILITY = 356,             /* LOGFACILITY  */
    LOGNAME = 357,                 /* LOGNAME  */
    LOGCOLOR = 358,                /* LOGCOLOR  */
    LOGPREFIX = 359,               /* LOGPREFIX  */
    LOGPREFIXMODE = 360,           /* LOGPREFIXMODE  */
    LOGENGINETYPE = 361,           /* LOGENGINETYPE  */
    LOGENGINEDATA = 362,           /* LOGENGINEDATA  */
    XAVPVIAPARAMS = 363,           /* XAVPVIAPARAMS  */
    XAVPVIAFIELDS = 364,           /* XAVPVIAFIELDS  */
    LISTEN = 365,                  /* LISTEN  */
    ADVERTISE = 366,               /* ADVERTISE  */
    VIRTUAL = 367,                 /* VIRTUAL  */
    STRNAME = 368,                 /* STRNAME  */
    ALIAS = 369,                   /* ALIAS  */
    SR_AUTO_ALIASES = 370,         /* SR_AUTO_ALIASES  */
    DOMAIN = 371,                  /* DOMAIN  */
    SR_AUTO_DOMAINS = 372,         /* SR_AUTO_DOMAINS  */
    DNS = 373,                     /* DNS  */
    REV_DNS = 374,                 /* REV_DNS  */
    DNS_TRY_IPV6 = 375,            /* DNS_TRY_IPV6  */
    DNS_TRY_NAPTR = 376,           /* DNS_TRY_NAPTR  */
    DNS_SRV_LB = 377,              /* DNS_SRV_LB  */
    DNS_UDP_PREF = 378,            /* DNS_UDP_PREF  */
    DNS_TCP_PREF = 379,            /* DNS_TCP_PREF  */
    DNS_TLS_PREF = 380,            /* DNS_TLS_PREF  */
    DNS_SCTP_PREF = 381,           /* DNS_SCTP_PREF  */
    DNS_RETR_TIME = 382,           /* DNS_RETR_TIME  */
    DNS_SLOW_QUERY_MS = 383,       /* DNS_SLOW_QUERY_MS  */
    DNS_RETR_NO = 384,             /* DNS_RETR_NO  */
    DNS_SERVERS_NO = 385,          /* DNS_SERVERS_NO  */
    DNS_USE_SEARCH = 386,          /* DNS_USE_SEARCH  */
    DNS_SEARCH_FMATCH = 387,       /* DNS_SEARCH_FMATCH  */
    DNS_NAPTR_IGNORE_RFC = 388,    /* DNS_NAPTR_IGNORE_RFC  */
    DNS_CACHE_INIT = 389,          /* DNS_CACHE_INIT  */
    DNS_USE_CACHE = 390,           /* DNS_USE_CACHE  */
    DNS_USE_FAILOVER = 391,        /* DNS_USE_FAILOVER  */
    DNS_CACHE_FLAGS = 392,         /* DNS_CACHE_FLAGS  */
    DNS_CACHE_NEG_TTL = 393,       /* DNS_CACHE_NEG_TTL  */
    DNS_CACHE_MIN_TTL = 394,       /* DNS_CACHE_MIN_TTL  */
    DNS_CACHE_MAX_TTL = 395,       /* DNS_CACHE_MAX_TTL  */
    DNS_CACHE_MEM = 396,           /* DNS_CACHE_MEM  */
    DNS_CACHE_GC_INT = 397,        /* DNS_CACHE_GC_INT  */
    DNS_CACHE_DEL_NONEXP = 398,    /* DNS_CACHE_DEL_NONEXP  */
    DNS_CACHE_REC_PREF = 399,      /* DNS_CACHE_REC_PREF  */
    AUTO_BIND_IPV6 = 400,          /* AUTO_BIND_IPV6  */
    BIND_IPV6_LINK_LOCAL = 401,    /* BIND_IPV6_LINK_LOCAL  */
    IPV6_HEX_STYLE = 402,          /* IPV6_HEX_STYLE  */
    DST_BLST_INIT = 403,           /* DST_BLST_INIT  */
    USE_DST_BLST = 404,            /* USE_DST_BLST  */
    DST_BLST_MEM = 405,            /* DST_BLST_MEM  */
    DST_BLST_TTL = 406,            /* DST_BLST_TTL  */
    DST_BLST_GC_INT = 407,         /* DST_BLST_GC_INT  */
    DST_BLST_UDP_IMASK = 408,      /* DST_BLST_UDP_IMASK  */
    DST_BLST_TCP_IMASK = 409,      /* DST_BLST_TCP_IMASK  */
    DST_BLST_TLS_IMASK = 410,      /* DST_BLST_TLS_IMASK  */
    DST_BLST_SCTP_IMASK = 411,     /* DST_BLST_SCTP_IMASK  */
    IP_FREE_BIND = 412,            /* IP_FREE_BIND  */
    PORT = 413,                    /* PORT  */
    STAT = 414,                    /* STAT  */
    STATS_NAMESEP = 415,           /* STATS_NAMESEP  */
    CHILDREN = 416,                /* CHILDREN  */
    SOCKET = 417,                  /* SOCKET  */
    BIND = 418,                    /* BIND  */
    WORKERS = 419,                 /* WORKERS  */
    SOCKET_WORKERS = 420,          /* SOCKET_WORKERS  */
    ASYNC_WORKERS = 421,           /* ASYNC_WORKERS  */
    ASYNC_USLEEP = 422,            /* ASYNC_USLEEP  */
    ASYNC_NONBLOCK = 423,          /* ASYNC_NONBLOCK  */
    ASYNC_WORKERS_GROUP = 424,     /* ASYNC_WORKERS_GROUP  */
    CHECK_VIA = 425,               /* CHECK_VIA  */
    PHONE2TEL = 426,               /* PHONE2TEL  */
    MEMLOG = 427,                  /* MEMLOG  */
    MEMDBG = 428,                  /* MEMDBG  */
    MEMSUM = 429,                  /* MEMSUM  */
    MEMSAFETY = 430,               /* MEMSAFETY  */
    MEMJOIN = 431,                 /* MEMJOIN  */
    MEMSTATUSMODE = 432,           /* MEMSTATUSMODE  */
    SIP_PARSER_LOG_ONELINE = 433,  /* SIP_PARSER_LOG_ONELINE  */
    SIP_PARSER_LOG = 434,          /* SIP_PARSER_LOG  */
    SIP_PARSER_MODE = 435,         /* SIP_PARSER_MODE  */
    CORELOG = 436,                 /* CORELOG  */
    SIP_WARNING = 437,             /* SIP_WARNING  */
    SERVER_SIGNATURE = 438,        /* SERVER_SIGNATURE  */
    SERVER_HEADER = 439,           /* SERVER_HEADER  */
    USER_AGENT_HEADER = 440,       /* USER_AGENT_HEADER  */
    REPLY_TO_VIA = 441,            /* REPLY_TO_VIA  */
    LOADMODULE = 442,              /* LOADMODULE  */
    LOADMODULEX = 443,             /* LOADMODULEX  */
    LOADPATH = 444,                /* LOADPATH  */
    MODPARAM = 445,                /* MODPARAM  */
    MODPARAMX = 446,               /* MODPARAMX  */
    CFGENGINE = 447,               /* CFGENGINE  */
    MAXBUFFER = 448,               /* MAXBUFFER  */
    SQL_BUFFER_SIZE = 449,         /* SQL_BUFFER_SIZE  */
    MSG_RECV_MAX_SIZE = 450,       /* MSG_RECV_MAX_SIZE  */
    TCP_MSG_READ_TIMEOUT = 451,    /* TCP_MSG_READ_TIMEOUT  */
    TCP_MSG_DATA_TIMEOUT = 452,    /* TCP_MSG_DATA_TIMEOUT  */
    TCP_ACCEPT_IPLIMIT = 453,      /* TCP_ACCEPT_IPLIMIT  */
    TCP_CHECK_TIMER = 454,         /* TCP_CHECK_TIMER  */
    USER = 455,                    /* USER  */
    GROUP = 456,                   /* GROUP  */
    CHROOT = 457,                  /* CHROOT  */
    WDIR = 458,                    /* WDIR  */
    RUNDIR = 459,                  /* RUNDIR  */
    MHOMED = 460,                  /* MHOMED  */
    DISABLE_TCP = 461,             /* DISABLE_TCP  */
    TCP_ACCEPT_ALIASES = 462,      /* TCP_ACCEPT_ALIASES  */
    TCP_ACCEPT_UNIQUE = 463,       /* TCP_ACCEPT_UNIQUE  */
    TCP_CONNECTION_MATCH = 464,    /* TCP_CONNECTION_MATCH  */
    TCP_CHILDREN = 465,            /* TCP_CHILDREN  */
    TCP_CONNECT_TIMEOUT = 466,     /* TCP_CONNECT_TIMEOUT  */
    TCP_SEND_TIMEOUT = 467,        /* TCP_SEND_TIMEOUT  */
    TCP_CON_LIFETIME = 468,        /* TCP_CON_LIFETIME  */
    TCP_POLL_METHOD = 469,         /* TCP_POLL_METHOD  */
    TCP_MAX_CONNECTIONS = 470,     /* TCP_MAX_CONNECTIONS  */
    TLS_MAX_CONNECTIONS = 471,     /* TLS_MAX_CONNECTIONS  */
    TCP_NO_CONNECT = 472,          /* TCP_NO_CONNECT  */
    TCP_SOURCE_IPV4 = 473,         /* TCP_SOURCE_IPV4  */
    TCP_SOURCE_IPV6 = 474,         /* TCP_SOURCE_IPV6  */
    TCP_OPT_FD_CACHE = 475,        /* TCP_OPT_FD_CACHE  */
    TCP_OPT_BUF_WRITE = 476,       /* TCP_OPT_BUF_WRITE  */
    TCP_OPT_CONN_WQ_MAX = 477,     /* TCP_OPT_CONN_WQ_MAX  */
    TCP_OPT_WQ_MAX = 478,          /* TCP_OPT_WQ_MAX  */
    TCP_OPT_RD_BUF = 479,          /* TCP_OPT_RD_BUF  */
    TCP_OPT_WQ_BLK = 480,          /* TCP_OPT_WQ_BLK  */
    TCP_OPT_DEFER_ACCEPT = 481,    /* TCP_OPT_DEFER_ACCEPT  */
    TCP_OPT_DELAYED_ACK = 482,     /* TCP_OPT_DELAYED_ACK  */
    TCP_OPT_SYNCNT = 483,          /* TCP_OPT_SYNCNT  */
    TCP_OPT_LINGER2 = 484,         /* TCP_OPT_LINGER2  */
    TCP_OPT_KEEPALIVE = 485,       /* TCP_OPT_KEEPALIVE  */
    TCP_OPT_KEEPIDLE = 486,        /* TCP_OPT_KEEPIDLE  */
    TCP_OPT_KEEPINTVL = 487,       /* TCP_OPT_KEEPINTVL  */
    TCP_OPT_KEEPCNT = 488,         /* TCP_OPT_KEEPCNT  */
    TCP_OPT_CRLF_PING = 489,       /* TCP_OPT_CRLF_PING  */
    TCP_OPT_ACCEPT_NO_CL = 490,    /* TCP_OPT_ACCEPT_NO_CL  */
    TCP_OPT_ACCEPT_HEP3 = 491,     /* TCP_OPT_ACCEPT_HEP3  */
    TCP_OPT_ACCEPT_HAPROXY = 492,  /* TCP_OPT_ACCEPT_HAPROXY  */
    TCP_OPT_CLOSE_RST = 493,       /* TCP_OPT_CLOSE_RST  */
    TCP_CLONE_RCVBUF = 494,        /* TCP_CLONE_RCVBUF  */
    TCP_REUSE_PORT = 495,          /* TCP_REUSE_PORT  */
    TCP_WAIT_DATA = 496,           /* TCP_WAIT_DATA  */
    TCP_SCRIPT_MODE = 497,         /* TCP_SCRIPT_MODE  */
    DISABLE_TLS = 498,             /* DISABLE_TLS  */
    ENABLE_TLS = 499,              /* ENABLE_TLS  */
    TLSLOG = 500,                  /* TLSLOG  */
    TLS_PORT_NO = 501,             /* TLS_PORT_NO  */
    TLS_METHOD = 502,              /* TLS_METHOD  */
    TLS_HANDSHAKE_TIMEOUT = 503,   /* TLS_HANDSHAKE_TIMEOUT  */
    TLS_SEND_TIMEOUT = 504,        /* TLS_SEND_TIMEOUT  */
    SSLv23 = 505,                  /* SSLv23  */
    SSLv2 = 506,                   /* SSLv2  */
    SSLv3 = 507,                   /* SSLv3  */
    TLSv1 = 508,                   /* TLSv1  */
    TLS_VERIFY = 509,              /* TLS_VERIFY  */
    TLS_REQUIRE_CERTIFICATE = 510, /* TLS_REQUIRE_CERTIFICATE  */
    TLS_CERTIFICATE = 511,         /* TLS_CERTIFICATE  */
    TLS_PRIVATE_KEY = 512,         /* TLS_PRIVATE_KEY  */
    TLS_CA_LIST = 513,             /* TLS_CA_LIST  */
    DISABLE_SCTP = 514,            /* DISABLE_SCTP  */
    ENABLE_SCTP = 515,             /* ENABLE_SCTP  */
    SCTP_CHILDREN = 516,           /* SCTP_CHILDREN  */
    ADVERTISED_ADDRESS = 517,      /* ADVERTISED_ADDRESS  */
    ADVERTISED_PORT = 518,         /* ADVERTISED_PORT  */
    DISABLE_CORE = 519,            /* DISABLE_CORE  */
    OPEN_FD_LIMIT = 520,           /* OPEN_FD_LIMIT  */
    SHM_MEM_SZ = 521,              /* SHM_MEM_SZ  */
    SHM_FORCE_ALLOC = 522,         /* SHM_FORCE_ALLOC  */
    MLOCK_PAGES = 523,             /* MLOCK_PAGES  */
    REAL_TIME = 524,               /* REAL_TIME  */
    RT_PRIO = 525,                 /* RT_PRIO  */
    RT_POLICY = 526,               /* RT_POLICY  */
    RT_TIMER1_PRIO = 527,          /* RT_TIMER1_PRIO  */
    RT_TIMER1_POLICY = 528,        /* RT_TIMER1_POLICY  */
    RT_TIMER2_PRIO = 529,          /* RT_TIMER2_PRIO  */
    RT_TIMER2_POLICY = 530,        /* RT_TIMER2_POLICY  */
    MCAST_LOOPBACK = 531,          /* MCAST_LOOPBACK  */
    MCAST_TTL = 532,               /* MCAST_TTL  */
    MCAST = 533,                   /* MCAST  */
    TOS = 534,                     /* TOS  */
    PMTU_DISCOVERY = 535,          /* PMTU_DISCOVERY  */
    KILL_TIMEOUT = 536,            /* KILL_TIMEOUT  */
    MAX_WLOOPS = 537,              /* MAX_WLOOPS  */
    PVBUFSIZE = 538,               /* PVBUFSIZE  */
    PVBUFSLOTS = 539,              /* PVBUFSLOTS  */
    PVCACHELIMIT = 540,            /* PVCACHELIMIT  */
    PVCACHEACTION = 541,           /* PVCACHEACTION  */
    HTTP_REPLY_PARSE = 542,        /* HTTP_REPLY_PARSE  */
    VERSION_TABLE_CFG = 543,       /* VERSION_TABLE_CFG  */
    VERBOSE_STARTUP = 544,         /* VERBOSE_STARTUP  */
    ROUTE_LOCKS_SIZE = 545,        /* ROUTE_LOCKS_SIZE  */
    WAIT_WORKER1_MODE = 546,       /* WAIT_WORKER1_MODE  */
    WAIT_WORKER1_TIME = 547,       /* WAIT_WORKER1_TIME  */
    WAIT_WORKER1_USLEEP = 548,     /* WAIT_WORKER1_USLEEP  */
    CFG_DESCRIPTION = 549,         /* CFG_DESCRIPTION  */
    SERVER_ID = 550,               /* SERVER_ID  */
    KEMI = 551,                    /* KEMI  */
    ONSEND_ROUTE_CALLBACK = 552,   /* ONSEND_ROUTE_CALLBACK  */
    REPLY_ROUTE_CALLBACK = 553,    /* REPLY_ROUTE_CALLBACK  */
    EVENT_ROUTE_CALLBACK = 554,    /* EVENT_ROUTE_CALLBACK  */
    RECEIVED_ROUTE_CALLBACK = 555, /* RECEIVED_ROUTE_CALLBACK  */
    RECEIVED_ROUTE_MODE = 556,     /* RECEIVED_ROUTE_MODE  */
    PRE_ROUTING_CALLBACK = 557,    /* PRE_ROUTING_CALLBACK  */
    MAX_RECURSIVE_LEVEL = 558,     /* MAX_RECURSIVE_LEVEL  */
    MAX_BRANCHES_PARAM = 559,      /* MAX_BRANCHES_PARAM  */
    LATENCY_CFG_LOG = 560,         /* LATENCY_CFG_LOG  */
    LATENCY_LOG = 561,             /* LATENCY_LOG  */
    LATENCY_LIMIT_DB = 562,        /* LATENCY_LIMIT_DB  */
    LATENCY_LIMIT_ACTION = 563,    /* LATENCY_LIMIT_ACTION  */
    LATENCY_LIMIT_CFG = 564,       /* LATENCY_LIMIT_CFG  */
    RPC_EXEC_DELTA_CFG = 565,      /* RPC_EXEC_DELTA_CFG  */
    MSG_TIME = 566,                /* MSG_TIME  */
    ONSEND_RT_REPLY = 567,         /* ONSEND_RT_REPLY  */
    URI_HOST_EXTRA_CHARS = 568,    /* URI_HOST_EXTRA_CHARS  */
    HDR_NAME_EXTRA_CHARS = 569,    /* HDR_NAME_EXTRA_CHARS  */
    FLAGS_DECL = 570,              /* FLAGS_DECL  */
    AVPFLAGS_DECL = 571,           /* AVPFLAGS_DECL  */
    ATTR_MARK = 572,               /* ATTR_MARK  */
    SELECT_MARK = 573,             /* SELECT_MARK  */
    ATTR_FROM = 574,               /* ATTR_FROM  */
    ATTR_TO = 575,                 /* ATTR_TO  */
    ATTR_FROMURI = 576,            /* ATTR_FROMURI  */
    ATTR_TOURI = 577,              /* ATTR_TOURI  */
    ATTR_FROMUSER = 578,           /* ATTR_FROMUSER  */
    ATTR_TOUSER = 579,             /* ATTR_TOUSER  */
    ATTR_FROMDOMAIN = 580,         /* ATTR_FROMDOMAIN  */
    ATTR_TODOMAIN = 581,           /* ATTR_TODOMAIN  */
    ATTR_GLOBAL = 582,             /* ATTR_GLOBAL  */
    ADDEQ = 583,                   /* ADDEQ  */
    SUBST = 584,                   /* SUBST  */
    SUBSTDEF = 585,                /* SUBSTDEF  */
    SUBSTDEFS = 586,               /* SUBSTDEFS  */
    EQUAL = 587,                   /* EQUAL  */
    LOG_OR = 588,                  /* LOG_OR  */
    LOG_AND = 589,                 /* LOG_AND  */
    BIN_OR = 590,                  /* BIN_OR  */
    BIN_AND = 591,                 /* BIN_AND  */
    BIN_XOR = 592,                 /* BIN_XOR  */
    BIN_LSHIFT = 593,              /* BIN_LSHIFT  */
    BIN_RSHIFT = 594,              /* BIN_RSHIFT  */
    EQUAL_T = 595,                 /* EQUAL_T  */
    DIFF = 596,                    /* DIFF  */
    MATCH = 597,                   /* MATCH  */
    INTEQ = 598,                   /* INTEQ  */
    INTDIFF = 599,                 /* INTDIFF  */
    STREQ = 600,                   /* STREQ  */
    STRDIFF = 601,                 /* STRDIFF  */
    GT = 602,                      /* GT  */
    LT = 603,                      /* LT  */
    GTE = 604,                     /* GTE  */
    LTE = 605,                     /* LTE  */
    PLUS = 606,                    /* PLUS  */
    MINUS = 607,                   /* MINUS  */
    STAR = 608,                    /* STAR  */
    SLASH = 609,                   /* SLASH  */
    MODULO = 610,                  /* MODULO  */
    NOT = 611,                     /* NOT  */
    UNARY = 612,                   /* UNARY  */
    BIN_NOT = 613,                 /* BIN_NOT  */
    DEFINED = 614,                 /* DEFINED  */
    INTCAST = 615,                 /* INTCAST  */
    STRCAST = 616,                 /* STRCAST  */
    DOT = 617,                     /* DOT  */
    STRLEN = 618,                  /* STRLEN  */
    STREMPTY = 619,                /* STREMPTY  */
    SELVAL = 620,                  /* SELVAL  */
    NUMBER = 621,                  /* NUMBER  */
    ID = 622,                      /* ID  */
    NUM_ID = 623,                  /* NUM_ID  */
    STRING = 624,                  /* STRING  */
    IPV6ADDR = 625,                /* IPV6ADDR  */
    PVAR = 626,                    /* PVAR  */
    AVP_OR_PVAR = 627,             /* AVP_OR_PVAR  */
    EVENT_RT_NAME = 628,           /* EVENT_RT_NAME  */
    COMMA = 629,                   /* COMMA  */
    SEMICOLON = 630,               /* SEMICOLON  */
    RPAREN = 631,                  /* RPAREN  */
    LPAREN = 632,                  /* LPAREN  */
    LBRACE = 633,                  /* LBRACE  */
    RBRACE = 634,                  /* RBRACE  */
    LBRACK = 635,                  /* LBRACK  */
    RBRACK = 636,                  /* RBRACK  */
    CR = 637,                      /* CR  */
    COLON = 638                    /* COLON  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 199 "core/cfg.y"

	long intval;
	unsigned long uval;
	char* strval;
	struct expr* expr;
	struct action* action;
	struct case_stms* case_stms;
	struct net* ipnet;
	struct ip_addr* ipaddr;
	struct socket_id* sockid;
	struct name_lst* name_l;
	struct avp_spec* attr;
	struct _pv_spec* pvar;
	struct lvalue* lval;
	struct rvalue* rval;
	struct rval_expr* rv_expr;
	select_t* select;

#line 466 "core/cfg.tab.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CORE_CFG_TAB_H_INCLUDED  */
